\section{Conclusion}

Distributed systems become more and more complex and dynamic with time.
%Gossip-based dissemination simplicity and flexibility is highlighted in such environments.
%Indeed, gossip protocols support churn and message loss without additional logic.
Due to their properties and resistance to failure, data dissemination
protocols are the cornerstone of any distributed system.  However,
these advantages come at the cost of bandwidth spent by the embedded
redundancy in the protocol.  We introduced \approachName, a multi source
gossip protocol that uses Lamport clocks to create generations, and
sparse vectors to exchange coefficients. We  demonstrated that it is
possible to apply RLNC for push and pull algorithms by thoroughly
evaluating our approach.
%We encapsulate the additional complexity in a single procedure.
%We show that is possible to create a generic RLNC push and pull algorithm from this procedure.
%Finally with the previously defined procedures, we apply our approach to Pulp.
At worst, \approachName performs like the state of the art. At best,
\approachName significantly improves both delay and bandwidth
consumption. % This is a step ahead for real world applications as it is
% complicated to accurately predict network size, churn, message loss
% and so on.
As future work, we would like to investigate the benefits of overlapping
generations on message discovery and efficiency.  We are also
interested by improving \approachName's adaptiveness and extend its
generation management.

%Furthermore, we show that the initial configuration affects less the protocol efficiency, especially with low fanout and TTL.